Configuration requise
Réduire la table des matières
Développer la table des matières
Pour afficher l’article en anglais, activez la case d’option Anglais. Vous pouvez aussi afficher la version anglaise dans une fenêtre contextuelle en faisant glisser le pointeur de la souris sur le texte.
Traduction
Anglais

Configuration requise du .NET Framework

 

Les tableaux de cette rubrique indiquent la configuration matérielle et logicielle requise, ainsi que celle du système d’exploitation, pour .NET Framework 4.5 et ses mises en production intermédiaires (4.5.1 et 4.5.2), ainsi que pour .NET Framework 4.6 et 4.6.1. Les environnements de développement qui vous permettent de développer des applications pour le .NET Framework ont des conditions requises différentes.

Pour obtenir des informations et des liens pour le téléchargement, consultez Installation du .NET Framework.

Pour plus d’informations sur la politique de support des versions du .NET Framework, consultez Politique de support Microsoft.

Processeur

1 GHz

RAM

512 Mo

Espace disque (minimum)

 

      32 bits

4,5 Go

      64 bits

4,5 Go

System_CAPS_importantImportant

L’installation du .NET Framework nécessite des privilèges d’administrateur. Si vous n’avez pas de droits d’administrateur sur l’ordinateur où vous voulez installer le .NET Framework, contactez votre administrateur réseau.

Système d'exploitation

Éditions prises en charge

Préinstallé avec le système d'exploitation

Installable séparément

Mise à jour de novembre de Windows 10

32 bits et 64 bits

 .NET Framework 4.6.1

Windows 10

32 bits et 64 bits

 .NET Framework 4.6

 .NET Framework 4.6.1

Windows 8.1

32 bits, 64 bits et ARM

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

 .NET Framework 4.6.1

Windows 8 

32 bits, 64 bits et ARM

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

  .NET Framework 4.6.1

Windows 7 SP1

32 bits et 64 bits

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

  .NET Framework 4.6

 .NET Framework 4.6.1

Windows Vista SP2

32 bits et 64 bits

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

Windows XP

32 bits et 64 bits

--

.NET Framework 4

Remarques : 

  • Sur les systèmes Windows 7, le .NET Framework nécessite Windows 7 SP1. Si vous êtes sur Windows 7 et que vous n’avez pas encore installé le Service Pack 1, vous devez le faire avant d’installer le .NET Framework.

  • Le .NET Framework 4.5 est pris en charge sur l'environnement Windows PE (Windows Preinstallation Environment). Les fonctionnalités ne sont pas toutes prises en charge dans Windows PE.

  • .NET Framework 4 prend également en charge la plateforme IA64.

  • Pour toutes les plateformes, nous recommandons d’effectuer une mise à niveau vers le dernier Service Pack Windows et d’installer les mises à jour critiques disponibles à partir du site web Windows Update afin de garantir une compatibilité et une sécurité optimales.

  • Sur les systèmes d'exploitation 64 bits, le .NET Framework prend en charge WOW64 (processus 32 bits sur un ordinateur 64 bits) et le processus 64 bits natif.

Système d'exploitation

Éditions prises en charge

Préinstallé avec le système d'exploitation

Installable séparément

Windows Server 2012 R2

64 bits

 .NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1

Windows Server 2012 (édition 64 bits)

64 bits

 .NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

 .NET Framework 4.6.1

Windows Server 2008 R2 SP1

64 bits

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

 .NET Framework 4.6.1

Windows Server 2008 SP2

32 bits et 64 bits

--

.NET Framework 4

.NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

Remarques :

  • Windows Server 2012 inclut le .NET Framework 4.5, il n'est donc pas nécessaire de l'installer séparément. De même, Windows Server 2012 R2 inclut le .NET Framework 4.5.1.

  • Le .NET Framework est pris en charge dans le rôle principal du serveur avec Windows Server 2008 R2 SP1 ou une version ultérieure, mais n’est pas pris en charge sur Windows Server 2008 R2 pour les systèmes Itanium.

  • Windows Server 2008 SP2, le .NET Framework n’est pas pris en charge dans le rôle principal du serveur.

  • Pour toutes les plateformes, nous recommandons une mise à niveau vers le dernier Service Pack Windows et le téléchargement des mises à jour critiques disponibles depuis le site web Windows Update afin de garantir une meilleure compatibilité et une plus grande sécurité. L'installation du dernier Service Pack Windows peut être obligatoire sur certains systèmes d'exploitation.

  • Sur les systèmes d'exploitation 64 bits, le .NET Framework prend en charge WOW64 (processus 32 bits sur un ordinateur 64 bits) et le processus 64 bits natif.

Afficher:
© 2016 Microsoft